<link rel="import" href="../../polymer_components/polymer/polymer.html">
<link rel="import" href="./careers-collection.html">

<dom-module id="profile-card">
  <link rel="stylesheet" href="profile-card.css">
  <template>
    <div class="column" style="text-align: left;">
      <div class="ui card">
        <div class="content">
          <img class="right floated ui avatar image" src="../img/{{img}}">
          <div class="header">
            {{title}}
          </div>
          <div class="meta">
            {{position}}
          </div>
          <div class="description">
            <careers-collection collection="{{careers}}"></careers-collection>
          </div>
        </div>
      </div>
    </div>
  </template>
</dom-module>

<script>
  Polymer({
    is: 'profile-card',
    properties: {
      title: String,
      img: String,
      position: String,
      careers: {
        type: Array,
        value: () => []
      },
    },
  });
</script>
